## com.vividsolutions.jts.algorithm
Class InteriorPointPoint

    java.lang.Object
      com.vividsolutions.jts.algorithm.InteriorPointPoint

public class InteriorPointPoint
extends java.lang.Object

Computes a point in the interior of an point geometry.

## Algorithm

Find a point which is closest to the centroid of the geometry.

Version:
  1.7

Constructor Summary
`InteriorPointPoint(Geometry g)`

Method Summary
`Coordinate` `getInteriorPoint()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InteriorPointPoint

    public InteriorPointPoint(Geometry g)

Method Detail

### getInteriorPoint

    public Coordinate getInteriorPoint()